aboutsummaryrefslogtreecommitdiff
path: root/git-submodule.sh
diff options
context:
space:
mode:
authorBrandon Williams <bmwill@google.com>2017-03-16 15:29:44 -0700
committerJunio C Hamano <gitster@pobox.com>2017-03-17 11:06:09 -0700
commit6dc9f01f33bdbaebcf811c89766d4e4902a96f27 (patch)
treed61beb253c1fab155e7d9fa81f47e1a7ccd105e1 /git-submodule.sh
parent5c2bd8b77aeefa4c6484684ef3e9227a6287a93e (diff)
downloadgit-6dc9f01f33bdbaebcf811c89766d4e4902a96f27.tar.gz
git-6dc9f01f33bdbaebcf811c89766d4e4902a96f27.tar.xz
submodule status: use submodule--helper is-active
Signed-off-by: Brandon Williams <bmwill@google.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-submodule.sh')
-rwxr-xr-xgit-submodule.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/git-submodule.sh b/git-submodule.sh
index 136e26a2c..ab233712d 100755
--- a/git-submodule.sh
+++ b/git-submodule.sh
@@ -1010,14 +1010,13 @@ cmd_status()
do
die_if_unmatched "$mode" "$sha1"
name=$(git submodule--helper name "$sm_path") || exit
- url=$(git config submodule."$name".url)
displaypath=$(git submodule--helper relative-path "$prefix$sm_path" "$wt_prefix")
if test "$stage" = U
then
say "U$sha1 $displaypath"
continue
fi
- if test -z "$url" ||
+ if ! git submodule--helper is-active "$sm_path" ||
{
! test -d "$sm_path"/.git &&
! test -f "$sm_path"/.git